Skip to main content
GET
/
plans
List plans
curl --request GET \
  --url https://api.zenskar.com/plans \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "draft",
      "schedule": {
        "duration": "<string>",
        "start_offset": "P0D",
        "trigger_type": "time_based"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "phases": [],
      "plan_version": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "old_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "new_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "parent_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "version_number": 123,
        "diff": {
          "additions": [
            "<unknown>"
          ],
          "deletions": [
            "<unknown>"
          ],
          "updates": [
            "<unknown>"
          ]
        }
      }
    }
  ],
  "next": "V2VsbCBhcmV1IGN1cmlvdxM=",
  "previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

order
string | null
default:-created_at
Example:

"order=created_at"

name
string | null
name__ilike
string | null
created_at
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null
status
enum<string> | null
Available options:
draft,
active
status__in
string | null

Response

Successful Response

results
PlanResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows